Package org.eclipse.m2m.atl.dsls

## Class DSLResourceProvider

- java.lang.Object
- - org.eclipse.m2m.atl.dsls.DSLResourceProvider

    public class DSLResourceProvider
    extends java.lang.Object

The DSL resource provider.

### Constructor Summary

Constructors
`DSLResourceProvider()`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`protected org.osgi.framework.Bundle` `getBundle()` Returns the bundle.
`static DSLResourceProvider` `getDefault()` Returns the default DSL provider.
`protected java.lang.String` `getPluginId()` Returns the plugin Id.
`Resource` `getResource​(java.lang.String id)` Returns the resource by id.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### DSLResourceProvider

    public DSLResourceProvider()

### Method Detail

#### getDefault

    public static DSLResourceProvider getDefault()

Returns the default DSL provider.

Returns:
  the default DSL provider

#### getResource

    public Resource getResource​(java.lang.String id)

Returns the resource by id.

Parameters:
  `id` - the resource Id
Returns:
  the resource by id

#### getBundle

    protected org.osgi.framework.Bundle getBundle()

Returns the bundle. Must be redefined in sub-classes.

Returns:
  the bundle

#### getPluginId

    protected java.lang.String getPluginId()

Returns the plugin Id. Must be redefined in sub-classes.

Returns:
  the plugin Id